November 6, 2010

ERROR: Unable to update the dependencies of the project

Filed under: Development — Tags: , , — Darrin Maidlow @ 11:22 pm

Working on the automated build process for FullCircle SmartForms tonight and I came across an irritating problem tonight:

"ERROR: Unable to update the dependencies of the project. The dependencies for the object ‘NHibernate.Validator.DLL’ cannot be determined."

One of my three Visual Studio 2010 installer projects started failing during the automated build process with this error on a dozen included assemblies.  When the project was built using the Visual Studio IDE the installer would build just fine.  With a little bit of digging and a great deal of screwing around, I found a and for this problem.

After installing the patch – my automated build system is happily compiling the installation project.

3 Comments »

  1. Thanks, this KB solved my problem & saved my day :)
    Best Regards – allan

    Comment by allan — August 3, 2011 @ 5:55 am

  2. Glad I could be of service Allan!

    Comment by Darrin Maidlow — August 3, 2011 @ 11:56 am

  3. Thanks this is a great R&D you did. It helps me.

    Comment by Ravishankar — January 4, 2013 @ 7:29 am

RSS feed for comments on this post. TrackBack URL

Leave a comment

Powered by WordPress

Switch to our mobile site